Mistake: conflict with dependency junit



  • That's a mistake.

    Error:Conflict with dependency 'junit:junit'. Resolved versions for app (4.11) and test app (4.12) differ. See http://g.co/androidstudio/app-test-app-conflict for details.



  • Basic APK and test APK use common classpath. The collection falls because the main APK and test APK have the same library, but the library versions are different. If the assembly had not fallen, the application could not be tested as normal.

    To get rid of this mistake, we need to correct the relationships so they can be the same.

    In the text, you are being sent to this explanation: http://g.co/androidstudio/app-test-app-conflict




Suggested Topics

  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2